Show / Hide Table of Contents

Class CfnDistribution.LambdaFunctionAssociationProperty

A complex type that contains a Lambda@Edge function association.

Inheritance
object
CfnDistribution.LambdaFunctionAssociationProperty
Implements
CfnDistribution.ILambdaFunctionAssociationProperty
Inherited Members
object.GetType()
object.MemberwiseClone()
object.ToString()
object.Equals(object)
object.Equals(object, object)
object.ReferenceEquals(object, object)
object.GetHashCode()
Namespace: Amazon.CDK.AWS.CloudFront
Assembly: Amazon.CDK.Lib.dll
Syntax (csharp)
public class CfnDistribution.LambdaFunctionAssociationProperty : CfnDistribution.ILambdaFunctionAssociationProperty
Syntax (vb)
Public Class CfnDistribution.LambdaFunctionAssociationProperty Implements CfnDistribution.ILambdaFunctionAssociationProperty
Remarks

See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-cloudfront-distribution-lambdafunctionassociation.html

ExampleMetadata: fixture=_generated

Examples
// The code below shows an example of how to instantiate this type.
             // The values are placeholders you should change.
             using Amazon.CDK.AWS.CloudFront;

             var lambdaFunctionAssociationProperty = new LambdaFunctionAssociationProperty {
                 EventType = "eventType",
                 IncludeBody = false,
                 LambdaFunctionArn = "lambdaFunctionArn"
             };

Synopsis

Constructors

LambdaFunctionAssociationProperty()

A complex type that contains a Lambda@Edge function association.

Properties

EventType

Specifies the event type that triggers a Lambda@Edge function invocation. You can specify the following values:.

IncludeBody

A flag that allows a Lambda@Edge function to have read access to the body content.

LambdaFunctionArn

The ARN of the Lambda@Edge function.

Constructors

LambdaFunctionAssociationProperty()

A complex type that contains a Lambda@Edge function association.

public LambdaFunctionAssociationProperty()
Remarks

See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-cloudfront-distribution-lambdafunctionassociation.html

ExampleMetadata: fixture=_generated

Examples
// The code below shows an example of how to instantiate this type.
             // The values are placeholders you should change.
             using Amazon.CDK.AWS.CloudFront;

             var lambdaFunctionAssociationProperty = new LambdaFunctionAssociationProperty {
                 EventType = "eventType",
                 IncludeBody = false,
                 LambdaFunctionArn = "lambdaFunctionArn"
             };

Properties

EventType

Specifies the event type that triggers a Lambda@Edge function invocation. You can specify the following values:.

public string? EventType { get; set; }
Property Value

string

Remarks

    If the origin returns an HTTP status code other than HTTP 200 (OK), the function doesn't execute.

    See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-cloudfront-distribution-lambdafunctionassociation.html#cfn-cloudfront-distribution-lambdafunctionassociation-eventtype

    IncludeBody

    A flag that allows a Lambda@Edge function to have read access to the body content.

    public object? IncludeBody { get; set; }
    Property Value

    object

    Remarks

    For more information, see Accessing the Request Body by Choosing the Include Body Option in the Amazon CloudFront Developer Guide.

    See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-cloudfront-distribution-lambdafunctionassociation.html#cfn-cloudfront-distribution-lambdafunctionassociation-includebody

    Type union: either bool or IResolvable

    LambdaFunctionArn

    The ARN of the Lambda@Edge function.

    public string? LambdaFunctionArn { get; set; }
    Property Value

    string

    Remarks

    You must specify the ARN of a function version; you can't specify an alias or $LATEST.

    See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-cloudfront-distribution-lambdafunctionassociation.html#cfn-cloudfront-distribution-lambdafunctionassociation-lambdafunctionarn

    Implements

    CfnDistribution.ILambdaFunctionAssociationProperty
    Back to top Generated by DocFX